%define aurox_ver 9.3
%define rel 2

Summary: The GLE Tubing and Extrusion Library for OpenGL
Name: libgle
Version: 3.1.0
Release: %{aurox_ver}.aur.%{rel}
Epoch: 0
Copyright: Mix+match open source
Group: System Environment/Libraries
URL: http://www.linas.org/gle/
Packager: Rob Knop <rknop@pobox.com>
Source: http://www.linas.org/gle/pub/gle-%{version}.tar.gz
BuildPrereq: Mesa-devel glut-devel
Requires: Mesa glut
Provides: GLE-%{version} gle-%{version}
AutoReqProv: yes
Obsoletes: gle
Buildroot: %{_tmppath}/%{name}-%{version}-root
Prefix: /usr

%description
The GLE Tubing and Extrusion Library consists of a number of "C"
language subroutines for drawing tubing and extrusions. It is a very
fast implementation of these shapes, outperforming all other
implementations, most by orders of magnitude. It uses the
OpenGL (TM) programming API to perform the actual drawing of the tubing
and extrusions.

%package devel
Requires: Mesa-devel GLE-%{version}
Summary: GLE includes and development libraries
Group: Development/Libraries

%description devel
Includes, man pages, and development libraries for the GLE Tubing and
Extrusion Library.

%prep
%setup -q -n gle-%{version}

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/doc/%{name}-%{version}/
mv -f $RPM_BUILD_ROOT%{prefix}/share/doc/gle/* $RPM_BUILD_ROOT%{prefix}/share/doc/%{name}-%{version}/
gzip $RPM_BUILD_ROOT%{prefix}/share/man/man3/gle*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{prefix}/lib/*.so.*
%{prefix}/share/doc/%{name}-%{version}/AUTHORS
%{prefix}/share/doc/%{name}-%{version}/COPYING*
%{prefix}/share/doc/%{name}-%{version}/README
%{prefix}/share/doc/%{name}-%{version}/gle-3.0.lsm

%files devel
%{prefix}/include/GL/gle.h
%{prefix}/lib/%{name}*a
%{prefix}/lib/*.so
%{prefix}/share/man/man3/gle*.gz
%{prefix}/share/doc/%{name}-%{version}/examples/*
%{prefix}/share/doc/%{name}-%{version}/html/*

%changelog
* Fri Jan 16 2004 Aurox Team <aurox@aurox.org> 0:3.1.0-9.3.aur.2
- move *.so file to devel
- rebuild
- failed comit removed
- failed commit removed
- fix layout of docs etc.
- fix setup dir name
- initial release in Aurox

* Tue Mar 05 2002 Linas Vepstas <linas@linas.org>
- changes since June 2001 include:
- configure fixes
- ms windows related fixes
- python binding fixes

* Thu Jul 20 2001 Linas Vepstas <linas@linas.org>
- Added doc subdirectory

* Thu Jul 05 2001 Rob Knop <rknop@pobox.com>
- Created the spec file
